unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeeGDIPlus, ExtCtrls, TeeProcs, TeEngine, Chart, StdCtrls;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Panel1: TPanel;
    RadioGroup1: TRadioGroup;
    RadioGroup2: TRadioGroup;
    CheckBox1: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure RadioGroup2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses TeCanvas, Series, TeeTools, TeePNGImage;

procedure TForm1.FormCreate(Sender: TObject);
var op: Integer;
begin
  Chart1.View3D:=false;
  Chart1.Legend.Visible:=false;

  with Chart1.AddSeries(TLineSeries) do
  begin
    FillSampleValues;
    Pen.Width:=2;
  end;

  Chart1.Gradient.Visible:=false;
  Chart1.Color:=clRed;
  Chart1.Walls.Visible:=false;
  Chart1.Axes.Bottom.Grid.Visible:=false;
  Chart1.Axes.Left.Grid.Visible:=false;

  RadioGroup1.ItemIndex:=0;
  RadioGroup2.ItemIndex:=1;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  case RadioGroup1.ItemIndex of
    0: Chart1.BackImage.LoadFromFile('elephant_transparent.png');
    1: Chart1.BackImage.LoadFromFile('elephant_transparent.jpg');
    2: Chart1.BackImage.LoadFromFile('elephant_transparent.bmp');
  end;

  CheckBox1Click(Sender);
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  Chart1.BackImageTransp:=CheckBox1.Checked;
end;

procedure TForm1.RadioGroup2Click(Sender: TObject);
begin
  case RadioGroup2.ItemIndex of
    0: Chart1.Canvas:=TTeeCanvas3D.Create;
    1: Chart1.Canvas:=TGDIPlusCanvas.Create;
  end;
end;

end.
